
class Wagon():

	def __init__(self, p, n):
		self.previous_wagon = p
		self.next_wagon = n

class GoodsWagon(Wagon):
	SELF_POWERED = False

	def __init__(self, *args):
		super().__init__(*args)
		self.goods = []

	def add_good(self, g):
		self.goods.append(g)

class PersonWagon(Wagon):
	SELF_POWERED = True

	def person_enter(self, p):
		pass 

class Locomotive(Wagon):
	SELF_POWERED = True


w = Wagon("P", "N")
print(w.previous_wagon,
	w.next_wagon)

gw = GoodsWagon("a", "c")
print(gw.previous_wagon,
	gw.next_wagon, gw.goods)
gw.add_good("Metal")
gw.add_good("Silver")
print(gw.previous_wagon,
	gw.next_wagon, gw.goods)

pw = PersonWagon("b", "d")
pw.person_enter("Magnus")

l = Locomotive(None, "a")
print(l.previous_wagon, l.next_wagon)
print(l.SELF_POWERED,
	Locomotive.SELF_POWERED)


