
class FileReader():

	def __init__(self, filename):
		self.filename = filename

	def __iter__(self):
		t = open(self.filename + ".titles.txt", "r")
		c = open(self.filename + ".contents.txt", "r")

		t_l = t.readline()
		c_l = c.readline() 

		while t_l and c_l:
			yield t_l.strip(), c_l.strip().split(",") 

			t_l = t.readline()
			c_l = c.readline() 

		t.close()
		c.close()


fr = FileReader("example")
for t, c in fr:
	print(t, c)