# Markdown

> From [Wikipedia](https://en.wikipedia.org/wiki/Markdown), the free encyclopedia

## Article

Markdown is a lightweight markup language for creating formatted text using a plain-text editor.
John Gruber and Aaron Swartz created Markdown in 2004 as a markup language that is appealing to human readers in its source code form.

Paragraphs are separated by a blank line.

Two spaces at the end of a line  
produce a line break.
Text can be styled _italic_, **bold**, or `monospace`.


# Überschrift
## Unterüberschrift

> Quote

- **Fett**
- *kursiv*
- `Code`

1. [Links](http://www.example.com)
2. ![Bilder](http://www.example.com/image.jpg)

----

Es gibt auch Fußnoten[^1].

| A | B | C |
|---|---|---|
| 1 | 2 | 3 |

```python 
print("Hallo ;)")
```

- [x] $\frac{1}{2}^2$
- [ ] $\frac{x_1^2 + 5 x_2}{x_1}$

[^1]: Tatsächlich ist das hier erweitertes Markdown