import re

re.match(r'^https?://www.example.com/?', "https://www.example.com/") 
#	✔
re.match(r'^https?://www.example.com/?', "http://www.example.com/")
#	✔

re.match(r'^https?://www.example.com/?', "http://wwwOexampleOcom/")
#	✔ (Aber das soll ja nicht so!)
re.match(r'^https?://www\.example\.com/?', "http://wwwOexampleOcom/")
#	✗

re.match(r'^https?://www\.example\.com/?', "http://www.example.com/hallo")
#	✔ (Aber das soll ja nicht so!)
re.match(r'^https?://www\.example\.com/?$', "http://www.example.com/hallo")
#	✗




pattern = r'[^@]@[a-z]\.?uni-luebeck\.de'
re.match(pattern, "bender@ifis.uni-luebeck.de") 
#	✗
re.match(r'[^@]+@[a-z]+\.?uni-luebeck\.de', "bender@ifis.uni-luebeck.de") 
#	✔

re.match(r'[^@]+@[a-z]+\.?uni-luebeck\.de', "m.bender@uni-luebeck.de") 
#	✗
re.match(r'[^@]+@[a-z]*\.?uni-luebeck\.de', "m.bender@uni-luebeck.de") 
#	✔
re.match(r'\w+@\w*\.?uni-luebeck\.de', "bender@ifis.uni-luebeck.de") 
#	✔

re.match(r'\w+@\w*\.?uni-luebeck\.de', "m.bender@uni-luebeck.de") 
#	✗ (Achtung, \w beinhaltet kein Symbole!)

re.match(r'\w+@\w*\.?uni-luebeck\.de', "bender@FAKEuni-luebeck.de") 
#	✔ (Sollte aber nicht)

