
import numpy as np

i_20_n = np.identity(20, dtype=np.int64)

print("Number of elements", i_20_n.size)
print("Size of element", i_20_n.itemsize)
print("Bytes used", i_20_n.nbytes)


from scipy.sparse import (
	bsr_array, coo_array, 
	csc_array, csr_array,
	dia_array, dok_array, 
	lil_array
)

from scipy.sparse import identity

i_20_s = identity(20, dtype=np.int64, format='dia')

print("Number of elements", i_20_s.data.size + i_20_s.offsets.size)
print("Size of element", i_20_s.data.itemsize, i_20_s.offsets.itemsize)
print("Bytes used", i_20_s.data.nbytes + i_20_s.offsets.nbytes)


