import numpy as np

sentences = [
	['geb', 'link', 'repositori', 'moodl'],
	['dabei', 'gefragt', 'repositori', 'offent', 'verborg'],
	['denk', 'verborg', 'repositori', 'daran', 'github', 'user', 'werkzeugewissarbeit', 'zugriffsrecht', 'erstellt', 'git', 'repositori', 'gewahr']
]

id2word = sorted(list(set([ w for s in sentences for w in s ])))
word2id = { word : i for i, word in enumerate(id2word) }

corpus = np.zeros((len(id2word), len(sentences)), dtype=int)
for s_id, sentence in enumerate(sentences):
	for word in sentence:
		corpus[word2id[word], s_id] += 1

print(word2id)
print(corpus)