import matplotlib.pyplot as plt
import numpy as np

y = np.array([1, 2, 3, 4, 5, 4, 3, 2, 1])
x = np.arange(9)

fig, ax = plt.subplots(figsize=(8, 4))

ax.plot(x, y,          label='y')
ax.plot(x, y+0.5,      label='y+0.5', linewidth=3, linestyle='--')
ax.plot(x, y+1.5, 'o', label='y+1.5')
ax.bar( x, y-0.5);

ax.legend();

ax.set_xlabel("X-Achse")
ax.set_ylabel("Y-Achse")
ax.set_title('Eine Grafik mit Punkten, Linien und Balken')

ax.text(2, 6, 'Ein Text!')

plt.savefig("plot.png")


