from sklearn.feature_extraction.text import TfidfVectorizer

corpus = [
	'Hallo Franz, ich habe eine Info.',
	'Danke, ich habe auch eine Info.',
	'Hallo, ich habe eine Willenserklaerung!',
	'Ich habe eine Info.',
]
vectorizer = TfidfVectorizer()
vectorizer.fit(corpus)

print(vectorizer.get_feature_names_out())
print(vectorizer.transform(corpus).toarray())