
def extract_numbers(l):
	l = l.strip()
	numbers = []
	for p in l.split(","):
		if p.strip().isnumeric():
			numbers.append(int(p))
	return numbers

def build_csv(nl):
	csv = ""
	for line in nl:
		csv += ','.join([
			str(n) for n in line
		]) + "\n"
	return csv


f = open("1a-Python-Einfuehrung-12.csv", "r")
lines = f.readlines()
f.close()

new_lines = []
for line in lines:
	numbers = extract_numbers(line)
	new_lines.append([n ** 2 for n in numbers])

print(build_csv(new_lines))


