
class Vector():

	def __init__(self, a, b):
		self.a = a 
		self.b = b 

	def __add__(self, o):
		return Vector(self.a + o.a, self.b + o.b)
	
	def __sub__(self, o):
		return Vector(self.a - o.a, self.b - o.b)

	def __iadd__(self, o):
		self.a += o.a
		self.b += o.b
		return self

	# def __isub__(self, o):

	def __str__(self):
		return "({}, {})".format(self.a, self.b)

x = Vector(1, 2)
print(x, str(x), x.__str__())
y = Vector(2, 3)
print(y)

print(x + y, x.__add__(y)) 
print(x - y)

x += y
print(x)

x -= y
print(x)