
def divide(x, y):
	# https://docs.python.org/3/tutorial/errors.html#defining-clean-up-actions
	try:
		r = x / y
	except ZeroDivisionError:
		print("Division by zero!")
	except TypeError as e:
		print("TypeError:", e)
	else:
		print("{x} / {y} = {r}".format(x=x, y=y, r=r))
	finally:
		print("Finally done ;)")

divide(1, 2)
divide(1, 0)
divide("A", 2)