#from pydantic import validate_arguments

#@validate_arguments
def str_repeat(s:str, n:int, sep:str=None) -> str:
	s = s + sep if sep else s
	return s * n

print(str_repeat("Hallo", 5))
print(str_repeat("Hallo", 2, ", "))
print(str_repeat(5, 5))


from typing import NoReturn, Union, Optional

def hello(name:Optional[str]="") -> NoReturn:
	print("Hello " + name)

def divide(x:Union[int, float], y:int|float) -> float:
	return x / y


from typing import List, Dict, Tuple

Tuple[int, str] # (1, "a")
Tuple[int, ...] # (1, 1), (1, 2, 3)

List[str] # ["a", "b"]
List[Union[str, int]] # [1, "b"], ["a", 2]

Dict[str, str] # {"a" : "A", "b" : "B"}