import pandas as pd

df = pd.DataFrame({
	"ID" : pd.Index([1, 2, 3]),
	"Name" : ["Otto", "Erna", "Bello"],
	"Age" : [60, 65, 10],
	"Species" : pd.Categorical(["Human", "Human", "Dog"])
})

print(df)
print(df.head(1))
print(df.tail(2))

print(df.dtypes)
print(df.index)
print(df.columns)

print(df.describe())

print(df.to_numpy())