import matplotlib.pyplot as plt
import numpy as np

x = np.arange(-10, 10.5, step=0.5)

# Teil 1
plt.plot(x, x**2, label='x^2')
plt.plot(x, x**3, label=r'$x^3$')
plt.legend();

plt.show()

# Teil 2
fig1, ax1 = plt.subplots()

ax1.plot(x, x**2, label='x^2')
ax1.plot(x, x**3, label='x^3')
ax1.legend();

fig2, ax2 = plt.subplots()

ax2.plot(x, x**2, label='x^2')
ax2.plot(x, x**4, label='x^4')
ax2.legend();

plt.show()
